package main

import (
	"plugin"
	"pro2d/common/logger"
	"testing"
)

func TestGetActionMap(t *testing.T) {
	p, err := plugin.Open("./bin/plugin.so")
	if err != nil {
		logger.Error("open error: ", err)
		return
	}
	logger.Debug("open success")
	symbol, err := p.Lookup("GetActionMap")
	if err != nil {
		logger.Error(err)
		return
	}
	logger.Debug("%v", symbol)
}
