package action

import (
	"pro2d/pb"
)

func GetTestActionMap() map[interface{}]interface{} {
	am := make(map[interface{}]interface{})
	am[uint32(pb.ProtoCode_HeartRpc)] = HeartRsp
	am[uint32(pb.ProtoCode_CreateRpc)] = CreateRsp
	am[uint32(pb.ProtoCode_ChangeTeamRpc)] = ChangeTeamRsp
	am[uint32(pb.ProtoCode_HeroEquipReferRpc)] = HeroEquipReferRsp
	am[uint32(pb.ProtoCode_RoleClearItemsRpc)] = RoleClearItemsRsp
	am[uint32(pb.ProtoCode_RoleStartBattleRpc)] = RoleStartBattleRsp
	am[uint32(pb.ProtoCode_RoleEndBattleRpc)] = RoleEndBattleRsp
	am[uint32(pb.ProtoCode_EquipmentDelRpc)] = EquipmentDelRsp
	am[uint32(pb.ProtoCode_HeroUpLevelRpc)] = HeroUpLevelRsp
	am[uint32(pb.ProtoCode_EmailListRpc)] = EmailListRsp
	am[uint32(pb.ProtoCode_EmailDrawRpc)] = EmailDrawRsp
	am[uint32(pb.ProtoCode_EmailCheckRpc)] = EmailCheckRsp
	am[uint32(pb.ProtoCode_EmailDelRpc)] = EmailDelRsp
	am[uint32(pb.ProtoCode_DisConnectNty)] = DisConnectNty
	am[uint32(pb.ProtoCode_RoleUpdatePropertyNty)] = RoleUpdatePropertyNty
	am[uint32(pb.ProtoCode_RoleUpdateItemsNty)] = RoleUpdateItemsNty
	am[uint32(pb.ProtoCode_EquipmentAddNty)] = EquipmentAddNty
	am[uint32(pb.ProtoCode_EmailNewNty)] = EmailNewNty

	return am
}
