package models

import (
	"pro2d/common/components"
	"pro2d/pb"
)

type EquipModel struct {
	components.ISchema
	Data *pb.Equipment
}

func NewEquip(data *pb.Equipment) *EquipModel {
	m := &EquipModel{
		ISchema: NewSchema(data.Id, data),
		Data:    data,
	}

	return m
}
