package action

import (
	"github.com/golang/protobuf/proto"
	"pro2d/common/components"
	"pro2d/common/logger"
	"pro2d/models"
	"pro2d/pb"
)

func HeartRsp(role *models.RoleTestModel, msg components.IMessage) {
}

func LoginRsp(role *models.RoleTestModel, msg components.IMessage) {
}

func CreateRsp(role *models.RoleTestModel, msg components.IMessage) {
}

func ChangeTeamRsp(role *models.RoleTestModel, msg components.IMessage) {
}
func HeroEquipReferRsp(role *models.RoleTestModel, msg components.IMessage) {
}

func RoleRsp(role *models.RoleTestModel, msg components.IMessage) {
}

func RoleUpdatePropertyRsp(role *models.RoleTestModel, msg components.IMessage) {
}

func RoleUpdateChangeRsp(role *models.RoleTestModel, msg components.IMessage) {
}

func RoleClearItemsRsp(role *models.RoleTestModel, msg components.IMessage) {
}

func RoleStartBattleRsp(role *models.RoleTestModel, msg components.IMessage) {
}

func RoleEndBattleRsp(role *models.RoleTestModel, msg components.IMessage) {
	rsp := pb.RoleEndBattleRsp{}
	if err := proto.Unmarshal(msg.GetData(), &rsp); err != nil {
		logger.Error("rsp err: %v", err)
		return
	}
	logger.Debug(rsp.Reward)
}
func EquipmentDelRsp(role *models.RoleTestModel, msg components.IMessage) {
}

func HeroUpLevelRsp(role *models.RoleTestModel, msg components.IMessage) {
}

func EmailListRsp(role *models.RoleTestModel, msg components.IMessage) {
}

func EmailDrawRsp(role *models.RoleTestModel, msg components.IMessage) {
}

func EmailCheckRsp(role *models.RoleTestModel, msg components.IMessage) {
}

func EmailDelRsp(role *models.RoleTestModel, msg components.IMessage) {
}
func DisConnectNty(role *models.RoleTestModel, msg components.IMessage) {
}

func RoleUpdatePropertyNty(role *models.RoleTestModel, msg components.IMessage) {
}

func RoleUpdateItemsNty(role *models.RoleTestModel, msg components.IMessage) {
}

func EquipmentAddNty(role *models.RoleTestModel, msg components.IMessage) {
}
