package common

const (
	//最大包大
	MaxPacketLength = 10 * 1024 * 1024
	MaxMsgChan      = 100

	//心跳
	HeartTimerInterval   = 5  //s
	HeartTimeoutCountMax = 20 //最大超时次数

	//保存数据时间
	SaveDataInterval = 5 //s

	//自增id相关
	MaxCommNum  = 1000000
	MaxRoleNum  = MaxCommNum
	MaxHeroNum  = 100
	MaxTeamNum  = 10
	MaxUidNum   = 90000
	MaxEmailNum = 10

	AutoIncrement     = "pro2d_autoincrement_set:%d"
	AutoIncrementHero = "pro2d_autoincrement:hero"

	//gm参数属性
	Role_ = "_role"
	Conn_ = "_conn"

	//背包容量
	LimitCommon = 100
)

//redis keys
const (
	NickNames = "name:%s"
	SMSCode   = "smscode:%s"
)

const (
	EquipmentInterval = 1000
	Weapon            = 0 // 武器
	Mail              = 1 // 铠甲
	Shose             = 2 // 鞋子
	Necklace          = 3 // 项链
	Ring              = 4 // 戒指 // 左右

	WeaponPos   = 0 // 武器
	MailPos     = 1 // 铠甲
	ShosePos    = 2 // 鞋子
	NecklacePos = 3 // 项链
	RingPosL    = 4 // 左戒指
	RingPosR    = 5 // 右戒指
)

const (
	ItemTypeInterval = 100000
	ItemType         = 0
	EquipType        = 1
)
