package models

import (
	"pro2d/common/components"
	"pro2d/pb"
)

type IncrementModels struct {
	components.ISchema
	Data *pb.Increment
}

func NewIncrement(key string) *IncrementModels {
	data := &pb.Increment{
		Key: key,
	}

	r := &IncrementModels{
		ISchema: NewSchema(data.Key, data),
		Data:    data,
	}
	return r
}
